/*
 * KxElementsCtrl.java
 *
 * Created on 24 septembre 2008, 08:33
 */

package org.cocktail.kiwi.client.nibctrl;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOExercice;
import org.cocktail.application.client.eof.EOTypeCredit;
import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kiwi.client.ApplicationIcones;
import org.cocktail.kiwi.client.metier.EOMandat;
import org.cocktail.kiwi.client.metier.EOMissionPaiementDepense;
import org.cocktail.kiwi.client.metier.EOMissionPaiementEngage;
import org.cocktail.kiwi.client.metier.budget.EODepense;
import org.cocktail.kiwi.client.metier.budget.EOEngage;
import org.cocktail.kiwi.client.metier.budget.EOOrgan;
import org.cocktail.kiwi.common.utilities.CocktailConstantes;
import org.cocktail.kiwi.common.utilities.CocktailFormats;
import org.cocktail.kiwi.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;
/**
 *
 * @author  cpinsard
 */
public class DetailEngagementView extends javax.swing.JDialog {

   	protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;

        private static final long serialVersionUID = 1L;

	protected EODisplayGroup eodEngagements, eodDepenses, eodMandats, eodDepensesEngage;
	protected ZEOTable myEOTableEngagements, myEOTableDepenses, myEOTableMandats, myEOTableDepensesEngage;
	protected ZEOTableModel myTableModelEngagements,  myTableModelDepenses, myTableModelMandats, myTableModelDepensesEngage;
	protected TableSorter 	myTableSorterEngagements, myTableSorterDepenses, myTableSorterMandats, myTableSorterDepensesEngage;

    /** Creates new form KxElementsCtrl */
    public DetailEngagementView(java.awt.Frame parent, boolean modal, 
    		EODisplayGroup displayGroupEngagements, 
    		EODisplayGroup displayGroupDepensesEngage, 
    		EODisplayGroup displayGroupDepenses, 
    		EODisplayGroup displayGroupMandats) {

        super(parent, modal);
    	
        eodEngagements = displayGroupEngagements;
        eodDepenses = displayGroupDepenses;
        eodDepensesEngage = displayGroupDepensesEngage;
        eodMandats = displayGroupMandats;

        initComponents();
        initGui();

    }

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        tfTitreEngagements = new javax.swing.JTextField();
        viewTableEngagements = new javax.swing.JPanel();
        btnDelEngagement = new javax.swing.JButton();
        btnUpdateEngagement = new javax.swing.JButton();
        tfTitreDepenses = new javax.swing.JTextField();
        viewTableDepensesEngage = new javax.swing.JPanel();
        tfTitresMandats = new javax.swing.JTextField();
        btnDelDepense = new javax.swing.JButton();
        btnReverser = new javax.swing.JButton();
        btnReimputation = new javax.swing.JButton();
        viewTableDepenses = new javax.swing.JPanel();
        buttonClose = new javax.swing.JButton();
        tfTitreDepenses1 = new javax.swing.JTextField();
        viewTableMandats = new javax.swing.JPanel();
        lblTotalLiquidations = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Gestion Budgétaire");
        setResizable(false);

        tfTitreEngagements.setBackground(new java.awt.Color(188, 170, 194));
        tfTitreEngagements.setEditable(false);
        tfTitreEngagements.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitreEngagements.setText("ENGAGEMENTS");
        tfTitreEngagements.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTitreEngagementsActionPerformed(evt);
            }
        });

        viewTableEngagements.setLayout(new java.awt.BorderLayout());

        btnDelEngagement.setToolTipText("Supprimer l'engagement sélectionné");

        btnUpdateEngagement.setToolTipText("Modifier l'engagement sélectionné");

        tfTitreDepenses.setBackground(new java.awt.Color(188, 170, 194));
        tfTitreDepenses.setEditable(false);
        tfTitreDepenses.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitreDepenses.setText("Liquidations / Dépenses - ENGAGEMENT");

        viewTableDepensesEngage.setLayout(new java.awt.BorderLayout());

        tfTitresMandats.setBackground(new java.awt.Color(188, 170, 194));
        tfTitresMandats.setEditable(false);
        tfTitresMandats.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitresMandats.setText("Liquidations / Dépenses - TOUTES");

        btnDelDepense.setToolTipText("Supprimer la dépense sélectionnée");

        btnReverser.setToolTipText("Effectuer un reversement");

        btnReimputation.setToolTipText("Effectuer une réimputation budgétaire");

        viewTableDepenses.setLayout(new java.awt.BorderLayout());

        buttonClose.setText("Fermer");
        buttonClose.setToolTipText("Fermer la fenêtre");

        tfTitreDepenses1.setBackground(new java.awt.Color(188, 170, 194));
        tfTitreDepenses1.setEditable(false);
        tfTitreDepenses1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitreDepenses1.setText("MANDATS");
        tfTitreDepenses1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTitreDepenses1ActionPerformed(evt);
            }
        });

        viewTableMandats.setLayout(new java.awt.BorderLayout());

        lblTotalLiquidations.setText("jLabel1");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(tfTitreEngagements, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 913, Short.MAX_VALUE)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, tfTitreDepenses, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 913, Short.MAX_VALUE)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(viewTableEngagements, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 871, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(btnUpdateEngagement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnDelEngagement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(viewTableDepensesEngage, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 871, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(btnReimputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnReverser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnDelDepense, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .add(4, 4, 4))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, tfTitreDepenses1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 913, Short.MAX_VALUE)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewTableMandats, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 871, Short.MAX_VALUE)
                .add(32, 32, 32))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, tfTitresMandats, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 913, Short.MAX_VALUE)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(10, 10, 10)
                        .add(lblTotalLiquidations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 462, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 293, Short.MAX_VALUE)
                        .add(buttonClose, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 128, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableDepenses, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 893, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .add(tfTitreEngagements, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTableEngagements, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 82, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(btnDelEngagement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnUpdateEngagement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfTitreDepenses, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTableDepensesEngage, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 100, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(btnDelDepense, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnReverser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnReimputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(tfTitreDepenses1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(9, 9, 9)
                .add(viewTableMandats, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 81, Short.MAX_VALUE)
                .add(18, 18, 18)
                .add(tfTitresMandats, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(viewTableDepenses, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(18, 18, 18)
                        .add(buttonClose, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(8, 8, 8)
                        .add(lblTotalLiquidations)))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-929)/2, (screenSize.height-588)/2, 929, 588);
    }// </editor-fold>//GEN-END:initComponents

    private void tfTitreDepenses1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTitreDepenses1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_tfTitreDepenses1ActionPerformed

    private void tfTitreEngagementsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTitreEngagementsActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_tfTitreEngagementsActionPerformed

//    /**
//    * @param args the command line arguments
//    */
//    public static void main(String args[]) {
//        java.awt.EventQueue.invokeLater(new Runnable() {
//            public void run() {
//                new KxElementsView().setVisible(true);
//            }
//        });
//    }

    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnDelDepense;
    private javax.swing.JButton btnDelEngagement;
    private javax.swing.JButton btnReimputation;
    private javax.swing.JButton btnReverser;
    private javax.swing.JButton btnUpdateEngagement;
    private javax.swing.JButton buttonClose;
    private javax.swing.JLabel lblTotalLiquidations;
    private javax.swing.JTextField tfTitreDepenses;
    private javax.swing.JTextField tfTitreDepenses1;
    private javax.swing.JTextField tfTitreEngagements;
    private javax.swing.JTextField tfTitresMandats;
    protected javax.swing.JPanel viewTableDepenses;
    protected javax.swing.JPanel viewTableDepensesEngage;
    protected javax.swing.JPanel viewTableEngagements;
    protected javax.swing.JPanel viewTableMandats;
    // End of variables declaration//GEN-END:variables

    
    

    private void initGui() {

    	buttonClose.setIcon(CocktailIcones.ICON_CLOSE);
    	
    	btnDelEngagement.setIcon(CocktailIcones.ICON_DELETE);
    	btnUpdateEngagement.setIcon(CocktailIcones.ICON_UPDATE);
    	btnReverser.setIcon(CocktailIcones.ICON_WIZARD_16);

    	btnDelDepense.setIcon(CocktailIcones.ICON_DELETE);
    	btnReimputation.setIcon(ApplicationIcones.ICON_PARAMS_16_2);

    	btnDelEngagement.setToolTipText("Solde de l'engagement sélectionné");
    	
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodEngagements, EOMissionPaiementEngage.ENGAGE_KEY+"."+ EOEngage.EXE_ORDRE_KEY, "Exercice", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngagements, EOMissionPaiementEngage.ENGAGE_KEY+"."+EOEngage.ENG_NUMERO_KEY, "Numéro", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngagements, EOMissionPaiementEngage.ENGAGE_KEY+"."+EOEngage.ORGAN_KEY+ ".getLongString", "BUDGET", 150);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngagements, EOMissionPaiementEngage.ENGAGE_KEY+"."+EOEngage.TO_TYPE_CREDIT_KEY+"."+EOTypeCredit.TCD_CODE_KEY, "TCD", 30);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngagements, EOMissionPaiementEngage.ENGAGE_KEY+"."+EOEngage.ENG_TTC_SAISIE_KEY, "Montant", 90);
		col.setAlignment(SwingConstants.RIGHT);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngagements, EOMissionPaiementEngage.ENGAGE_KEY+"."+EOEngage.ENG_MONTANT_BUDGETAIRE_RESTE_KEY, "Reste", 90);
		col.setAlignment(SwingConstants.RIGHT);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngagements, EOMissionPaiementEngage.ENGAGE_KEY+"."+EOEngage.ENG_DATE_SAISIE_KEY, "Date", 140);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATESHORT);
		myCols.add(col);

		myTableModelEngagements = new ZEOTableModel(eodEngagements, myCols);
		myTableSorterEngagements = new TableSorter(myTableModelEngagements);

		myEOTableEngagements = new ZEOTable(myTableSorterEngagements);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterEngagements.setTableHeader(myEOTableEngagements.getTableHeader());

		myEOTableEngagements.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableEngagements.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableEngagements.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableEngagements.setLayout(new BorderLayout());
		viewTableEngagements.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableEngagements.removeAll();
		viewTableEngagements.add(new JScrollPane(myEOTableEngagements), BorderLayout.CENTER);

		// Depenses associees a l'engagement
		
		myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodDepensesEngage, 
					EOMissionPaiementDepense.DEPENSE_KEY + "." + EODepense.TO_EXERCICE_KEY + "." +
													EOExercice.EXE_EXERCICE_KEY, "Année", 40);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepensesEngage, "depense.depensePapier.dppNumeroFacture", "No Dépense", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepensesEngage, "depense.depensePapier.dppDateSaisie", "Date", 60);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATESHORT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepensesEngage, "depense.depTtcSaisie", "Montant", 65);
		col.setAlignment(SwingConstants.RIGHT);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepensesEngage, "depense.depensePapier.modePaiement.modCode", "Paiement", 45);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepensesEngage, EOMissionPaiementDepense.DEPENSE_KEY + "." + EODepense.ENGAGE_KEY + "." +
				EOEngage.ENG_NUMERO_KEY, "Eng", 45);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepensesEngage, EOMissionPaiementDepense.DEPENSE_KEY + "." + EODepense.ENGAGE_KEY + "." +
				EOEngage.ORGAN_KEY+"."+EOOrgan.ORG_UB_KEY, "UB", 40);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodDepensesEngage, EOMissionPaiementDepense.DEPENSE_KEY + "." + EODepense.ENGAGE_KEY + "." +
				EOEngage.ORGAN_KEY+"."+EOOrgan.ORG_CR_KEY, "CR", 45);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodDepensesEngage, EOMissionPaiementDepense.DEPENSE_KEY + "." + EODepense.ENGAGE_KEY + "." +
				EOEngage.ORGAN_KEY+"."+EOOrgan.ORG_SOUSCR_KEY, "Sous CR", 90);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepensesEngage, "depense.depensePapier.utilisateur.individu.nomUsuel", "Utilisateur", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelDepensesEngage  = new ZEOTableModel(eodDepensesEngage, myCols);
		myTableSorterDepensesEngage = new TableSorter(myTableModelDepensesEngage);

		myEOTableDepensesEngage = new ZEOTable(myTableSorterDepensesEngage);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterDepensesEngage.setTableHeader(myEOTableDepensesEngage.getTableHeader());

		myEOTableDepensesEngage.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableDepensesEngage.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableDepensesEngage.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableDepensesEngage.setLayout(new BorderLayout());
		viewTableDepensesEngage.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableDepensesEngage.removeAll();
		viewTableDepensesEngage.add(new JScrollPane(myEOTableDepensesEngage), BorderLayout.CENTER);


		

		
		// MANDATS
		myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodMandats, EOMandat.MAN_NUMERO_KEY, "No Mandat", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodMandats, EOMandat.BOR_NUM_KEY, "No Bord", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodMandats, EOMandat.MAN_ETAT_KEY, "Etat", 75);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodMandats, EOMandat.VIR_DATE_VALEUR_KEY, "Virement", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATESHORT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodMandats, EOMandat.FOURNIS_KEY+".identite", "Fournisseur", 140);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelMandats  = new ZEOTableModel(eodMandats, myCols);
		myTableSorterMandats = new TableSorter(myTableModelMandats);

		myEOTableMandats = new ZEOTable(myTableSorterMandats);
		//myEOTableMandats.addListener(myListenerContrat);
		myTableSorterMandats.setTableHeader(myEOTableMandats.getTableHeader());

		myEOTableMandats.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableMandats.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableMandats.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableMandats.setLayout(new BorderLayout());
		viewTableMandats.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableMandats.removeAll();
		viewTableMandats.add(new JScrollPane(myEOTableMandats), BorderLayout.CENTER);

		
		// DEPENSES EXERCICE ANTERIEUR
		
		myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodDepenses, EOMissionPaiementDepense.DEPENSE_KEY + "." + EODepense.TO_EXERCICE_KEY + "." +
													EOExercice.EXE_EXERCICE_KEY, "Année", 40);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, "depense.depensePapier.dppNumeroFacture", "No Dépense", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, "depense.depensePapier.dppDateSaisie", "Date", 60);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATESHORT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, "depense.depTtcSaisie", "Montant", 65);
		col.setAlignment(SwingConstants.RIGHT);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, "depense.depensePapier.modePaiement.modCode", "Paiement", 45);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, EOMissionPaiementDepense.DEPENSE_KEY + "." + EODepense.ENGAGE_KEY + "." +
				EOEngage.ENG_NUMERO_KEY, "Eng", 45);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, EOMissionPaiementDepense.DEPENSE_KEY + "." + EODepense.ENGAGE_KEY + "." +
				EOEngage.ORGAN_KEY+"."+EOOrgan.ORG_UB_KEY, "UB", 40);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodDepenses, EOMissionPaiementDepense.DEPENSE_KEY + "." + EODepense.ENGAGE_KEY + "." +
				EOEngage.ORGAN_KEY+"."+EOOrgan.ORG_CR_KEY, "CR", 45);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodDepenses, EOMissionPaiementDepense.DEPENSE_KEY + "." + EODepense.ENGAGE_KEY + "." +
				EOEngage.ORGAN_KEY+"."+EOOrgan.ORG_SOUSCR_KEY, "Sous CR", 90);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, "depense.depensePapier.utilisateur.individu.nomUsuel", "Utilisateur", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelDepenses  = new ZEOTableModel(eodDepenses, myCols);
		myTableSorterDepenses = new TableSorter(myTableModelDepenses);

		myEOTableDepenses = new ZEOTable(myTableSorterDepenses);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterDepenses.setTableHeader(myEOTableDepenses.getTableHeader());

		myEOTableDepenses.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableDepenses.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableDepenses.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableDepenses.setLayout(new BorderLayout());
		viewTableDepenses.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableDepenses.removeAll();
		viewTableDepenses.add(new JScrollPane(myEOTableDepenses), BorderLayout.CENTER);

    }

	public ZEOTable getMyEOTableEngagements() {
		return myEOTableEngagements;
	}

	public javax.swing.JLabel getLblTotalLiquidations() {
		return lblTotalLiquidations;
	}

	public void setLblTotalLiquidations(javax.swing.JLabel lblTotalLiquidations) {
		this.lblTotalLiquidations = lblTotalLiquidations;
	}

	public void setMyEOTableEngagements(ZEOTable myEOTableEngagements) {
		this.myEOTableEngagements = myEOTableEngagements;
	}

	public ZEOTable getMyEOTableDepenses() {
		return myEOTableDepenses;
	}

	public void setMyEOTableDepenses(ZEOTable myEOTableDepenses) {
		this.myEOTableDepenses = myEOTableDepenses;
	}

	public ZEOTableModel getMyTableModelDepenses() {
		return myTableModelDepenses;
	}

	public void setMyTableModelDepenses(ZEOTableModel myTableModelDepenses) {
		this.myTableModelDepenses = myTableModelDepenses;
	}

	public ZEOTable getMyEOTableMandats() {
		return myEOTableMandats;
	}

	public void setMyEOTableMandats(ZEOTable myEOTableMandats) {
		this.myEOTableMandats = myEOTableMandats;
	}

	public ZEOTable getMyEOTableDepensesEngage() {
		return myEOTableDepensesEngage;
	}

	public void setMyEOTableDepensesEngage(ZEOTable myEOTableDepensesEngage) {
		this.myEOTableDepensesEngage = myEOTableDepensesEngage;
	}

	public javax.swing.JButton getBtnDelDepense() {
		return btnDelDepense;
	}

	public void setBtnDelDepense(javax.swing.JButton btnDelDepense) {
		this.btnDelDepense = btnDelDepense;
	}

	public javax.swing.JButton getBtnDelEngagement() {
		return btnDelEngagement;
	}

	public void setBtnDelEngagement(javax.swing.JButton btnDelEngagement) {
		this.btnDelEngagement = btnDelEngagement;
	}

	public javax.swing.JButton getBtnReimputation() {
		return btnReimputation;
	}

	public void setBtnReimputation(javax.swing.JButton btnReimputation) {
		this.btnReimputation = btnReimputation;
	}

	public javax.swing.JButton getBtnReverser() {
		return btnReverser;
	}

	public void setBtnReverser(javax.swing.JButton btnReverser) {
		this.btnReverser = btnReverser;
	}

	public javax.swing.JButton getBtnUpdateEngagement() {
		return btnUpdateEngagement;
	}

	public void setBtnUpdateEngagement(javax.swing.JButton btnUpdateEngagement) {
		this.btnUpdateEngagement = btnUpdateEngagement;
	}

	public javax.swing.JButton getButtonClose() {
		return buttonClose;
	}

	public void setButtonClose(javax.swing.JButton buttonClose) {
		this.buttonClose = buttonClose;
	}

	public javax.swing.JTextField getTfTitreDepenses() {
		return tfTitreDepenses;
	}

	public void setTfTitreDepenses(javax.swing.JTextField tfTitreDepenses) {
		this.tfTitreDepenses = tfTitreDepenses;
	}

	public javax.swing.JTextField getTfTitreDepenses1() {
		return tfTitreDepenses1;
	}

	public void setTfTitreDepenses1(javax.swing.JTextField tfTitreDepenses1) {
		this.tfTitreDepenses1 = tfTitreDepenses1;
	}

	public javax.swing.JTextField getTfTitreEngagements() {
		return tfTitreEngagements;
	}

	public void setTfTitreEngagements(javax.swing.JTextField tfTitreEngagements) {
		this.tfTitreEngagements = tfTitreEngagements;
	}

	public javax.swing.JTextField getTfTitresMandats() {
		return tfTitresMandats;
	}

	public void setTfTitresMandats(javax.swing.JTextField tfTitresMandats) {
		this.tfTitresMandats = tfTitresMandats;
	}

    


}
